﻿<div id="clans-dom">
    <div class="app-zone">
        <div class="inner">
            <table class="app-table simple-table scroll-table table-clans">
                <thead>
                    <tr>
                        <th class="clans-name">Name</th>
                        <th class="clans-members">Members</th>
                        <th class="clans-action"></th>
                    </tr>
                </thead>
                <tbody data-bind="foreach: clans">
                    <tr>
                        <td class="clans-name">
                            <img width="50" height="50" data-bind="attr: { src: '/File/GetClanBanner?id=' + ClanId() }" />
                            <div class="inline-block clans-name-field">
                                <span data-bind="text: Name"></span>
                            </div>
                        </td>
                        <td class="clans-members pad-top"><span data-bind="text: MembersCount"></span></td>
                        <td class="clans-action pad-top">
                            <span data-bind="if: $parent.canApply()">
                                <span class="app-action" data-bind="click: $parent.apply">apply</span>
                            </span>
                            <span data-bind="if: $parent.character.ApplicationClanId() && $parent.character.ApplicationClanId() == ClanId()">
                                <span>pending</span> | <span class="app-action" data-bind="click: $parent.cancelAppli">cancel</span>
                            </span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>